std::integral_constant< _Tp, __v >(3cxx)

NAME
std::integral_constant< _Tp, __v > - integral_constant

SYNOPSIS

#include <type_traits>

Inherited by std::is_base_of< random_access_iterator_tag, _Cat >.

  Public Types

typedef integral_constant< _Tp, __v > type
typedef _Tp value_type

  Public Member Functions

constexpr operator value_type () const noexcept
constexpr value_type operator() () const noexcept

  Static Public Attributes

static constexpr _Tp value

Detailed Description

  template<typename _Tp, _Tp __v>
struct std::integral_constant< _Tp, __v >"integral_constant

Author

Generated automatically by Doxygen for libstdc++ from the source code.